Data Fields
canNotifyData Struct Reference

`#include <canlib.h>`

## Data Fields
void * | tag
int | eventType
union {
struct {
unsigned long time
} busErr
struct {
long id
unsigned long time
} rx
struct {
long id
unsigned long time
} tx
struct {
unsigned char busStatus
unsigned char txErrorCounter
unsigned char rxErrorCounter
unsigned long time
} status
} | info

## Detailed Description

Examples:
  canmonitor.c, and simplewrite.c.

## Field Documentation

## ◆ busErr

struct { ... } busErr

## ◆ busStatus

unsigned char busStatus

## ◆ eventType

int eventType

Examples:
  canmonitor.c, and simplewrite.c.

## ◆ id

long id

## ◆ info

union { ... } info

Examples:
  canmonitor.c, and simplewrite.c.

## ◆ rx

struct { ... } rx

## ◆ rxErrorCounter

unsigned char rxErrorCounter

## ◆ status

struct { ... } status

Examples:
  canmonitor.c, and simplewrite.c.

## ◆ tag

void* tag

## ◆ time

unsigned long time

## ◆ tx

struct { ... } tx

## ◆ txErrorCounter

unsigned char txErrorCounter

The documentation for this struct was generated from the following file:

- canlib.h